<button id="rzp-button1">Pay</button>
<script src="https://checkout.razorpay.com/v1/checkout.js"></script>
<script>
    var options = {
    "name": "TaskIT",
    "description": "Pay Transaction",
    // "image": "https://example.com/your_logo",
    "order_id": "order_Gvc68GW4kxQz1C", //This is a sample Order ID. Pass the `id` obtained in the response of Step 1
    "handler": function (response){
        console.log(
            {
                razorpay_payment_id : response.razorpay_payment_id,
                razorpay_order_id : response.razorpay_order_id,
                razorpay_signature : response.razorpay_signature
            }
        )
      
    },
    "prefill": {
        "name": "Manish Shetake",
        "email": "manish.shetake@example.com",
        "contact": "123567890"
    }   
};
var rzp1 = new Razorpay(options);
rzp1.on('payment.failed', function (response){
        console.log(
            {
                code : response.error.code,
                description : esponse.error.description,
                source : response.error.source,
                step : response.error.step,
                reason : response.error.reason,
                order_id : response.error.metadata.order_id,
                payment_id : response.error.metadata.payment_id
            }
        )       
});
document.getElementById('rzp-button1').onclick = function(e){
    rzp1.open();
    e.preventDefault();
}
</script>